package com.inspect.patrol.model;

import lombok.Getter;

import java.io.Serializable;

@Getter
public class RecordListModel implements Serializable {
    private String patrolDeviceCode;
    private String channelCode;
    private String serial;
    private String code;
    private String startTime;

    private String endTime;

    private String type;


    public void setType(String type) {
        this.type = type;
    }


    public void setChannelCode(String channelCode) {
        this.code = this.channelCode = channelCode;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public void setPatrolDeviceCode(String patrolDeviceCode) {
        this.serial = this.patrolDeviceCode = patrolDeviceCode;
    }

    public void setSerial(String serial) {
        this.serial = serial;
    }
}
